Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.validate
Class StringOption

    java.lang.Object
      |
      +--com.thaiopensource.validate.StringOption

All Implemented Interfaces:
  Option

Direct Known Subclasses:
  SchematronProperty.PhaseOption

public class StringOption
extends Object
implements Option

Constructor Summary
`StringOption(StringPropertyId pid)`

Method Summary
`Object` | `combine(Object[] values)` Combines multiple values of an option into a single value.
`String` | `defaultValue()`
`PropertyId` | `getPropertyId()`
`String` | `normalize(String value)`
`Object` | `valueOf(String arg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringOption

    public StringOption(StringPropertyId pid)

Method Detail

### getPropertyId

    public PropertyId getPropertyId()

  Specified by:
    `getPropertyId` in interface `Option`

### valueOf

    public Object valueOf(String arg)
                   throws OptionArgumentException

  Specified by:
    `valueOf` in interface `Option`
    `OptionArgumentException`

### defaultValue

    public String defaultValue()
                        throws OptionArgumentPresenceException

    `OptionArgumentPresenceException`

### normalize

    public String normalize(String value)
                     throws OptionArgumentFormatException

    `OptionArgumentFormatException`

### combine

    public Object combine(Object[] values)

  Description copied from interface: `Option`
  Combines multiple values of an option into a single value. A property whose value is logically a sequence may be represented by multiple options each representing a single member of the sequence.

  Specified by:
    `combine` in interface `Option`
  Parameters:
    `values` - an array of values to be combined
  Returns:
    an Object representing the combination, or `null` if they cannot be combined

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD